Get the results of the cycle count report

Body·
application/json
  • clientPartnerId
    Type: string | nullFormat: uuid

    The client partner to filter by

  • dateFrom
    Type: stringFormat: date

    The start date in the cycle count date range

  • dateTo
    Type: stringFormat: date

    The end date in the cycle count date range

  • isPickface
    Type: boolean | null

    If the report should show:

    • When not set: Shows all locations
    • When set to true: Shows only pickface locations
    • When set to false: Shows only non-pickface location
  • partnerProductId
    Type: string | nullFormat: uuid

    The product to filter by

  • showOnlyVariance
    Type: boolean

    If the report should show only variance

  • warehouseId
    Type: string | nullFormat: uuid

    The warehouse to filter by

Responses
  • application/json
Request Example for post/v1/reports/cycle-count
curl https://api.consignlyhq.com/v1/reports/cycle-count \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "dateFrom": "date (YYYY-MM-DD)",
  "dateTo": "date (YYYY-MM-DD)",
  "warehouseId": null,
  "isPickface": null,
  "clientPartnerId": null,
  "partnerProductId": null,
  "showOnlyVariance": true
}'
[
  {
    "countedDateTime": "datetime (YYYY-MM-DDTHH:MM:SSZ)",
    "countedByName": null,
    "clientName": null,
    "productCode": null,
    "productName": null,
    "warehouseName": null,
    "warehouseLocationName": null,
    "unitTypeName": null,
    "batch": null,
    "bestBeforeDate": "date (YYYY-MM-DD)",
    "expiryDate": "date (YYYY-MM-DD)",
    "packagingDate": "date (YYYY-MM-DD)",
    "productionDate": "date (YYYY-MM-DD)",
    "sellByDate": "date (YYYY-MM-DD)",
    "attributes": [
      {
        "name": null,
        "description": null
      }
    ],
    "expectedQuantity": 1,
    "countedQuantity": 1,
    "quantityVariance": 1
  }
]